using System;
using System.Collections;
using System.Collections.Generic;

namespace LinqStudy
{
    /// <summary>
    /// 家乡 比较器
    /// </summary>
    public class HometownCompare : IComparer<Hometown>
    {
        int IComparer<Hometown>.Compare(Hometown x, Hometown y)
        {
            int compareResult = 0;
            
            if (x == null && y == null)
            {
                compareResult = 0;
            }

            else if (x == null)
            {
                compareResult = 1;
            }
            else if (y == null)
            {
                compareResult = -1;
            }
            else
            {
                if(x.Province == y.Province)
                {
                    compareResult = string.Compare(x.City,y.City);
                }
                else
                {
                    compareResult = string.Compare(x.Province,y.Province);
                }
            }

            return compareResult;
        }
    }
}
